Bug 188939 - [new port] revive port archivers/bzip
Summary: [new port] revive port archivers/bzip
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-24 04:20 UTC by Chris Hutchinson
Modified: 2014-06-11 09:59 UTC (History)
1 user (show)

See Also:


Attachments
bzip.shar (6.97 KB, application/octet-stream)
2014-04-24 04:51 UTC, Chris Hutchinson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2014-04-24 04:20:00 UTC
This is a request for the recently removed archivers/bzip port.
I have the original source, and until, or unless archivers/bzip2
offers the same options, I'd like to keep this port available.
It also requires typing one less character to invoke it, than
bzip2 does. ;)

I'd also like to see if it might [ever] be possible to merge
this with bzip2.

Patch to follow (as a reply) within a few minutes.

--Chris

Fix: 

Use the patch I will post as a reply to this pr(1).
How-To-Repeat: Any attempt to build, will fail.
Comment 1 Chris Hutchinson 2014-04-24 04:51:43 UTC
> Thank you very much for your problem report.
> It has the internal identification `ports/188939'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=188939
>
>>Category:       ports
>>Responsible:    freebsd-ports-bugs
>>Synopsis:       archivers/bzip
>>Arrival-Date:   Thu Apr 24 03:20:00 UTC 2014
>
Please find the complete source tree attached as bzip.shar
as suggested in the Porters Handbook.

--Chris
Comment 2 John Marino freebsd_committer 2014-06-10 13:25:41 UTC
note: the shar file contains a new MASTER_SITE.  Lack of distfile which was the original reason the port was removed.
Comment 3 John Marino freebsd_committer 2014-06-11 09:28:19 UTC
ugh, I was close to committing this when I noticed patch-aa, patch-ab, patch-ac.  I renamed patch-aa and patch-ab, then discovered patch-ac patches the exact same file as former patch-ab.

Very ugly.  I will have to combine patch-ab and patch-ac now.
Comment 4 commit-hook freebsd_committer 2014-06-11 09:49:28 UTC
A commit references this bug:

Author: marino
Date: Wed Jun 11 09:49:16 UTC 2014
New revision: 357450
URL: http://svnweb.freebsd.org/changeset/ports/357450

Log:
  Resurrect archivers/bzip and assign maintainer

  This port was removed due not having a publically available distfile.
  That has been fixed per the PR with maintainership assigned to submitter.

  Additionally:

    * The patch-aa was renamed
    * The patch-ab and patch-ac touched the same file; they were combined
      and renamed
    * DragonFly support was added (hence the portrevision bump)
    * GPLv2 license was annotated
    * 80-column formatting was respected
    * PLIST sorted

  PR:		188939
  Submitted by:	Chris Hutchinson
  Tweaks:		marino

Changes:
  head/archivers/Makefile
  head/archivers/bzip/
  head/archivers/bzip/Makefile
  head/archivers/bzip/distinfo
  head/archivers/bzip/files/
  head/archivers/bzip/files/COPYRIGHT
  head/archivers/bzip/files/patch-Makefile
  head/archivers/bzip/files/patch-bzip.c
  head/archivers/bzip/pkg-descr
Comment 5 John Marino freebsd_committer 2014-06-11 09:59:43 UTC
Thanks!